classification
Title: pysetup run cmd can't handle option values in the setup.cfg
Type: behavior Stage: committed/rejected
Components: Distutils2 Versions: Python 3.3, 3rd party
process
Status: closed Resolution: out of date
Dependencies: 14733 Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, shimizukawa, tarek
Priority: normal Keywords: patch

Created on 2012-04-23 16:19 by shimizukawa, last changed 2014-03-13 07:44 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
use-setupcfg-options-r13146.patch shimizukawa, 2012-04-23 16:19
Messages (3)
msg159040 - (view) Author: Takayuki SHIMIZUKAWA (shimizukawa) Date: 2012-04-23 16:19
`pysetup run [cmd]` can't handle option values in the setup.cfg

setup.cfg::

  [sdist]
  formats = gztar
  dist-dir = _dist

run on windows::

  C:> pysetup run sdist

That command generate `dist/package-version.zip` instead of `_dist/packcage-version.tar.gz`.

attached patch will fix it.
msg159042 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-04-23 16:27
Thanks for the report.  This is weird, given that the code for setting command options in setup.cfg directly comes from distutils and works there.  I think that this error may come from another bug in pysetup (i.e. in distutils2.run) where the config file is parsed too late; I discovered that bug a week ago and did not find the time to apply the fix.  I’ll keep you updated on this.
msg161297 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-21 21:08
I have fixed the other bug in distutils2 (to be ported soon to packaging in 3.3).  I wrote a test for this bug but the fix was not enough.  Need to investigate more.
History
Date User Action Args
2014-03-13 07:44:21eric.araujosetstatus: open -> closed
resolution: out of date
stage: committed/rejected
2012-05-21 21:08:21eric.araujosetmessages: + msg161297
2012-05-10 03:08:47eric.araujosetdependencies: + Custom commands don't work
2012-04-23 16:27:02eric.araujosettitle: `pysetup run [cmd]` can't handle option values in the setup.cfg -> pysetup run cmd can't handle option values in the setup.cfg
messages: + msg159042
versions: + 3rd party, Python 3.3, - Python 2.6, Python 2.7
2012-04-23 16:19:43shimizukawacreate